<mat-drawer-container
  class="test-case-info-drawer-container"
  hasBackdrop
  (backdropClick)="closeTestCaseInfoDrawer()"
>
  <mat-drawer
    disableClose
    class="test-case-info-drawer"
    #testCaseInfoDrawer
    position="end"
    mode="side"
  >
    <app-test-case-info
      [testCase]="viewedTestCase"
      (closeDrawer)="closeTestCaseInfoDrawer()"
    ></app-test-case-info>
  </mat-drawer>

  <mat-drawer-content>
    <div class="conformance-tests-maximized">
      <div class="content">
        <div class="d-flex align-items-center">
          <h2 class="m-0">{{ submittedTest?.customComponent?.name }}</h2>

          <mat-form-field
            appearance="outline"
            class="slabs-select-filter comp-version-select"
          >
            <mat-select
              [(ngModel)]="(submittedTest?.customComponent)!.version"
              disabled
            >
              <mat-option
                class="text-primary"
                [value]="submittedTest?.customComponent?.version"
              >
                {{ submittedTest?.customComponent?.version }}
              </mat-option>
            </mat-select>
          </mat-form-field>
        </div>

        <br />

        <div class="result-summary w-25 d-flex align-items-start">
          <div class="d-flex flex-column align-items-start">
            <div>Status</div>

            <div class="slabs-comp ec-chips-theme">
              <mat-chip
                highlighted
                class="slabs-chip"
                [color]="
                  status2ChipColor.get(
                    submittedTest?.customComponent?.status!.toUpperCase()
                  )
                "
              >
                {{ submittedTest?.customComponent?.status }}
              </mat-chip>
            </div>
          </div>

          <span class="spacer"></span>

          <div class="flex-1-1-50 d-flex flex-column">
            <div class="w-100">Results</div>
            <div>
              <app-test-result-bar
                [resultNotExecuted]="
                  submittedTest?.customComponent?.resultNotExecuted!
                "
                [resultError]="submittedTest?.customComponent?.resultError!"
                [resultSuccess]="submittedTest?.customComponent?.resultSuccess!"
              ></app-test-result-bar>

              @if (
                submittedTest?.customComponent?.resultSuccess! > 0 ||
                submittedTest?.customComponent?.resultError! > 0
              ) {
                <div class="d-flex align-items-center mb-0 mt-4px">
                  {{
                    submittedTest?.customComponent?.resultSuccess
                      | percent: "1.0-1"
                  }}
                  <mat-icon class="check-circle-icon text-success">
                    check_circle
                  </mat-icon>

                  {{
                    submittedTest?.customComponent?.resultError
                      | percent: "1.0-1"
                  }}
                  <mat-icon class="cancel-icon text-error">cancel</mat-icon>

                  {{
                    submittedTest?.customComponent?.resultNotExecuted
                      | percent: "1.0-1"
                  }}
                  <mat-icon class="block-icon text-grey-500">block</mat-icon>
                </div>
              }
            </div>
          </div>
        </div>

        <br />
        <br />

        <mat-tab-group mat-stretch-tabs="false" mat-align-tabs="start">
          <mat-tab [label]="'Conformance tests'">
            <app-conformance-tests-selection
              [submittedTest]="submittedTest"
              (onTestCaseInfoShow)="openTestCaseInfoDrawer($event)"
            ></app-conformance-tests-selection>
          </mat-tab>

          <mat-tab [label]="'Tests history'">
            <app-tests-history
              [customComponent]="submittedTest?.customComponent!"
            >
            </app-tests-history>
          </mat-tab>

          <mat-tab [label]="'Component console'">
            <app-kubebox-console></app-kubebox-console>
          </mat-tab>

          <mat-tab [label]="'Data Spaces'">
            <app-custom-component-dataspaces
              [customComponent]="submittedTest?.customComponent!"
            ></app-custom-component-dataspaces>
          </mat-tab>

          <mat-tab [label]="'Information'">
            <app-custom-component-information
              [customComponent]="submittedTest?.customComponent!"
            >
            </app-custom-component-information>
          </mat-tab>
        </mat-tab-group>
      </div>
    </div>
  </mat-drawer-content>
</mat-drawer-container>
